package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class DrpOrderGoodsManagePageDTO {
   @ApiModelProperty("是否是支付")
   private Integer ifPay;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("采购订单号")
   private String orderGoodsId;

   public Integer getIfPay() {
      return this.ifPay;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public DrpOrderGoodsManagePageDTO setIfPay(final Integer ifPay) {
      this.ifPay = ifPay;
      return this;
   }

   public DrpOrderGoodsManagePageDTO setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpOrderGoodsManagePageDTO setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
      return this;
   }

   public DrpOrderGoodsManagePageDTO setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
      return this;
   }

   public DrpOrderGoodsManagePageDTO setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public String toString() {
      Integer var10000 = this.getIfPay();
      return "DrpOrderGoodsManagePageDTO(ifPay=" + var10000 + ", supplierId=" + this.getSupplierId() + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ", orderGoodsId=" + this.getOrderGoodsId() + ")";
   }
}
